[brite-users] How could I fix the problem?

wxie at uwm.edu wxie at uwm.edu
Thu Mar 8 18:13:21 EST 2007


Greetings all,

I've been having trouble using BRITE. When I tried to run it, I got the
following error messages:
[wxie at localhost BRITE]$ ./brite &
[1] 20153
[wxie at localhost BRITE]$ Exception in thread "main" java.lang.ClassFormatError:
GUI.Brite (unrecognized class file version)
   at java.lang.VMClassLoader.defineClass (libgcj.so.7)
   at java.lang.ClassLoader.defineClass (libgcj.so.7)
   at java.security.SecureClassLoader.defineClass (libgcj.so.7)
   at java.net.URLClassLoader.findClass (libgcj.so.7)
   at java.lang.ClassLoader.loadClass (libgcj.so.7)
   at java.lang.ClassLoader.loadClass (libgcj.so.7)
   at java.lang.Class.forName (libgcj.so.7)
   at gnu.java.lang.MainThread.run (libgcj.so.7)

[1]+  Exit 1                  ./brite

My java version is 1.4.2 and I use Fedora 5.

Is the problem caused by the java version? Thanks.

Thanks,
Weigao


More information about the brite-users mailing list